complexType "CorrectableRequestMessage"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 attributes, 6 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, isCorrection?, (parentCorrelationId?, correlationId[0..2], sequenceNumber?)?, onBehalfOf[0..4]?
</...>

Content Model Elements (6):

  correlationId, header (defined in RequestMessage complexType), isCorrection, | onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, sequenceNumber (defined in Sequence.model group)

Known Direct Subtypes (2):

  CreditEventNotification, PublicExecutionReport

All Direct / Indirect Based Elements (2):

  creditEventNotification, publicExecutionReport

Known Usage Locations

- In derivations of other global types (2):

  CreditEventNotification (as extension base), | PublicExecutionReport (as extension base)

Annotation
A type defining the content model for a request message that can be subsequently corrected or retracted.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CorrectableRequestMessage"> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="isCorrection" type="xsd:boolean"/> <xsd:group minOccurs="0" ref="CorrelationAndSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/6)
isCorrection

  Type: | xsd:boolean, predefined, simple content

  Indicates if this message corrects an earlier request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="isCorrection" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.